package com.saye.hospitalgd.mapper;

import org.apache.ibatis.annotations.Mapper;

import java.util.HashMap;
import java.util.List;

/**
 * @author thuang
 * @version 1.0
 * @description: TODO
 * @date 2021/9/29 14:57
 */
@Mapper
public interface OperatorMapper {

    List<HashMap<Object, Object>> findAllOperator(HashMap<Object, Object> map) throws Exception;

    List<HashMap<Object, Object>> findAllOperatorByCode(HashMap<Object, Object> map) throws Exception;

    List<HashMap<Object, Object>> findMilitaryOperators(HashMap<Object, Object> map) throws Exception;

    void addOperator(HashMap<Object, Object> map) throws Exception;

    void updateOperatorByCode(HashMap<Object, Object> map) throws Exception;

}
